@echo off
rem   In case you get an out of environment space
rem   copy the next line in your config.sys and reboot.
rem   command /e:2048
rem   file can be on d1 or d2.
rem   compressed or uncompressed
rem   Eugene 8/97
rem   Updated January 1998
rem   command /e:2048 /k c:\t95.bat done
:done
if '%1' == 'diskb' goto diskb
set LANGID=ENU
if '%1' == '' goto start
set LANGID=ENU
:start
cls
echo *******************************************************************
echo *  This batch file should only be used when the SETUP             *
echo *  program fails to complete the installation of MouseWare        *
echo *  in Windows 95.                                                 *
echo *                                                                 *
echo *  Run it from DOS mode.                                          *
echo *  DO NOT run it from a Windows DOS box.                          *
echo *******************************************************************
echo.
if '%1' == 'b:' goto sourceb
if '%1' == 'B:' goto sourceb
if '%1' == 'a:' goto sourcea
if '%1' == 'A:' goto sourcea
echo If you wish to use T95:
echo.
echo   - If the diskette drive is A: type
echo        T95 A:
echo   - If the diskette drive is B: type
echo        T95 B:
echo.
goto exit
:sourcea
set SOURCE=A:
goto sourceok
:sourceb
set SOURCE=B:
:sourceok
echo.
echo *******************************************************************
echo * T95 creates the directory C:\LOGITECH\MOUSE,                    *
echo * copies the program files, and updates the registry accordingly. *
echo * You have selected the source diskette drive %SOURCE%            *
echo *                                                                 *
echo * If this is not correct, press Ctrl-C now to exit.               *
echo *******************************************************************
echo.
pause
if exist %SOURCE%\WIN95\LMOUSE.VXD goto checked
if not exist %SOURCE%\WIN95\LMOUSE.VXD ECHO .........This is not disk 1.   Please insert Disk 1...
pause
echo.
echo T95 cannot find the MouseWare files on drive %SOURCE%
echo Type T95 again for instructions.
goto exit
:checked
if exist %SOURCE%\WIN95\LMOUSE.VXD ECHO .........Disk 1, has been found.
if '%windir%' == '' set windir=%winbootdir%
if not '%windir%' == '' goto winok
echo T95 cannot find Windows 95 environment variable winbootdir
echo to locate the Windows files.
goto exit
:winok
SET IFE=IF EXIST
SET LGE=lgexpand.exe
SET SRCE=%1
SET DM=\logitech\mouse
SET DS=\logitech\mouse\system
SET RT=C:
SET ECO=ECHO .........
SET tx=%RT%%DM%\T_Log.txt
@ECHO OFF
md %RT%\logitech
md %RT%%DM%
md %RT%%DS%
md %RT%%DM%\pointers
echo ===================================== >> %tx%
echo T95.bat, installation log file begin. >> %tx%
echo ===================================== >> %tx%
:winok2
%ECO%............................ . . . . . . .
%ECO%Begin To Copy Data.......... . . . . . . .
%ECO%Please be patient,.......... . . . . . . .
%ECO%some files may take some time to transfer.
%ECO%............................ . . . . . . .
echo FI   is = %FI%   >> %tx%
echo IFE  is = %IFE%  >> %tx%
echo dsk  is = %dsk%  >> %tx%
echo SRCE is = %SRCE% >> %tx%
echo FI   is = %FI%   >> %tx%
echo ECO  is = %ECO%  >> %tx%
echo LANGID is = %LANGID%  >> %TX%
echo LGE  is = %LGE%  >> %tx%
echo DM   is = %DM%   >> %tx%
echo DS   is = %DS%   >> %tx%
echo RT   is = %RT%   >> %tx%
echo tx   is = %tx%   >> %tx%
echo windir     is = %windir%     >> %tx%
echo winbootdir is = %winbootdir% >> %tx%
SET FI=t95.bat
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI% COPY %SRCE%\%FI% %RT%%FI%
%IFE% %FI% %ECO%Copied %FI% to %RT%%FI% >> %tx%
%IFE% %FI% %ECO%Copied %FI%
echo FI=%lge% >> %tx%
%IFE% %SRCE%\%lge% COPY %SRCE%\%lge% %RT%%DS%\%lge%
%IFE% %lge% %ECO%Copied %lge% to %RT%%DS%\%lge% >> %tx%
%IFE% %lge% %ECO%Copied %lge%
Echo Source is %SOURCE%  >> %tx%
SET FI=mmbus
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%%LANGID%.exe COPY %SRCE%\%FI%%LANGID%.exe %RT%%DM%\%FI%%LANGID%.exe
%IFE% %SRCE%\WIN95\%FI%%LANGID%.exe COPY %SRCE%\WIN95\%FI%%LANGID%.exe %RT%%DM%\%FI%%LANGID%.exe
%IFE% %RT%%DM%\%FI%.exe %ECO%Copied %FI%%LANGID%.exe to %RT%%DM%\%FI%%LANGID%.exe >> %tx%
%IFE% %RT%%DM%\%FI%.exe %ECO%Copied %FI%%LANGID%.exe
%IFE% %RT%%DM%\%FI%.exe goto m1
%IFE% %SRCE%\%FI%%LANGID%.ex~ %RT%%DS%\%lge% %SRCE%\%FI%%LANGID%.ex~ %RT%%DM%\%FI%.exe
%IFE% %SRCE%\WIN95\%FI%%LANGID%.ex~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%%LANGID%.ex~ %RT%%DM%\%FI%.exe
%IFE% %RT%%DM%\%FI%%LANGID%.exe %ECO%Expanded %FI%%LANGID%.exe to %RT%%DM%\%FI%.exe >> %tx%
%IFE% %RT%%DM%\%FI%%LANGID%.exe %ECO%Expanded %FI%%LANGID%.exe
:m1
SET FI=mouse.ex
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%e COPY %SRCE%\%FI%e %RT%%DM%\%FI%e
%IFE% %SRCE%\WIN95\%FI%e COPY %SRCE%\WIN95\%FI%e %RT%%DM%\%FI%e
%IFE% %RT%%DM%\%FI%e %ECO%Copied %FI%e to %RT%%DM%\%FI%e >> %tx%
%IFE% %RT%%DM%\%FI%e %ECO%Copied %FI%e
%IFE% %RT%%DM%\mouse.exe goto m2
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%e
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%e
%IFE% %RT%%DM%\%FI%e %ECO%Expanded %FI%e to %windir%\System\%FI%e >> %tx%
%IFE% %RT%%DM%\%FI%e %ECO%Expanded %FI%e
:m2
SET FI=readme.tx
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%t COPY %SRCE%\%FI%t %RT%%DM%\%FI%t
%IFE% %RT%%DM%\%FI%t %ECO%Copied %FI%t to %RT%%DM%\%FI%t >> %tx%
%IFE% %RT%%DM%\%FI%t %ECO%Copied %FI%t
%IFE% %RT%%DM%\readme.txt goto m3
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DM%\%FI%t
%IFE% %RT%%DM%\%FI%t %ECO%Expanded %FI%~ to %RT%%DM%\%FI%t >> %tx%
%IFE% %RT%%DM%\%FI%t %ECO%Expanded %FI%~
:m3
SET FI=mousedrv.tx
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%t COPY %SRCE%\%FI%t %RT%%DM%\%FI%t
%IFE% %RT%%DM%\%FI%t %ECO%Copied %FI%t to %RT%%DM%\%FI%t >> %tx%
%IFE% %RT%%DM%\%FI%t %ECO%Copied %FI%t
%IFE% %RT%%DM%\%FI%t goto m4
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DM%\%FI%t
%IFE% %RT%%DM%\%FI%t %ECO%Expanded %FI%~ to %RT%%DM%\%FI%t >> %tx%
%IFE% %RT%%DM%\%FI%t %ECO%Expanded %FI%~
:m4
SET FI=mousedrv.in
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%i COPY %SRCE%\%FI%i %RT%%DM%\%FI%i
%IFE% %RT%%DM%\%FI%i %ECO%Copied %FI%i to %RT%%DM%\%FI%i >> %tx%
%IFE% %RT%%DM%\%FI%i %ECO%Copied %FI%i
%IFE% %RT%%DM%\%FI%i goto m5
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DM%\%FI%i
%IFE% %RT%%DM%\%FI%i %ECO%Expanded %FI%~ to %RT%%DM%\%FI%i >> %tx%
%IFE% %RT%%DM%\%FI%i %ECO%Expanded %FI%~
:m5
goto s1
:s1
SET FI=basic.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s2
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s2
SET FI=ccmsghk.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s3
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s3
SET FI=ccresglb.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s4
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s4
SET FI=ccres
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%%LANGID%.dll COPY %SRCE%\%FI%%LANGID%.dll %RT%%DS%\%FI%rce.dll
%IFE% %RT%%DS%\%FI%rce.dll %ECO%Copied %FI%%LANGID%.dll to %RT%%DS%\%FI%rce.dll >> %tx%
%IFE% %RT%%DS%\%FI%rce.dll %ECO%Copied %FI%%LANGID%.dll
%IFE% %RT%%DS%\%FI%rce.dll goto s5
%IFE% %SRCE%\%FI%%LANGID%.dl~ %RT%%DS%\%lge% %SRCE%\%FI%%LANGID%.dl~ %RT%%DS%\%FI%rce.dll
%IFE% %RT%%DS%\%FI%rce.dll %ECO%Expanded %FI%%LANGID%.dl~ to %RT%%DS%\%FI%rce.dll >> %tx%
%IFE% %RT%%DS%\%FI%rce.dll %ECO%Expanded %FI%%LANGID%.dl~
:s5
SET FI=ccstmglb.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s6
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s6
SET FI=ccust
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%om.dll COPY %SRCE%\%FI%om.dll %RT%%DS%\%FI%om.dll
%IFE% %RT%%DS%\%FI%om.dll %ECO%Copied %FI%om.dll to %RT%%DS%\%FI%om.dll >> %tx%
%IFE% %RT%%DS%\%FI%om.dll %ECO%Copied %FI%om.dll
%IFE% %RT%%DS%\%FI%om.dll goto s7
%IFE% %SRCE%\%FI%om.dl~ %RT%%DS%\%lge% %SRCE%\%FI%om.dl~ %RT%%DS%\%FI%om.dll
%IFE% %RT%%DS%\%FI%om.dll %ECO%Expanded %FI%om.dll to %RT%%DS%\%FI%om.dll >> %tx%
%IFE% %RT%%DS%\%FI%om.dll %ECO%Expanded %FI%om.dll
:s7
SET FI=cmousecc.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s8
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s8
SET FI=crdlswiz.ex
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%e COPY %SRCE%\%FI%e %RT%%DS%\%FI%e
%IFE% %RT%%DS%\%FI%e %ECO%Copied %FI%e to %RT%%DS%\%FI%e >> %tx%
%IFE% %RT%%DS%\%FI%e %ECO%Copied %FI%e
%IFE% %RT%%DS%\%FI%e goto s9
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%e
%IFE% %RT%%DS%\%FI%e %ECO%Expanded %FI%~ to %RT%%DS%\%FI%e >> %tx%
%IFE% %RT%%DS%\%FI%e %ECO%Expanded %FI%~
:s9
SET FI=devices.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s10
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s10
:s11
SET FI=em_exec.ex
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%e COPY %SRCE%\%FI%e %RT%%DS%\%FI%e
%IFE% %RT%%DS%\%FI%e %ECO%Copied %FI%e to %RT%%DS%\%FI%e >> %tx%
%IFE% %RT%%DS%\%FI%e %ECO%Copied %FI%e
%IFE% %RT%%DS%\%FI%e goto s12
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%e
%IFE% %RT%%DS%\%FI%e %ECO%Expanded %FI%~ to %RT%%DS%\%FI%e >> %tx%
%IFE% %RT%%DS%\%FI%e %ECO%Expanded %FI%~
:s12
SET FI=eventex.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s13
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s13
SET FI=kbdhook.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s14
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s14
SET FI=kbdtray.ex
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%e COPY %SRCE%\%FI%e %RT%%DS%\%FI%e
%IFE% %RT%%DS%\%FI%e %ECO%Copied %FI%e to %RT%%DS%\%FI%e >> %tx%
%IFE% %RT%%DS%\%FI%e %ECO%Copied %FI%e
%IFE% %RT%%DS%\%FI%e goto s15
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%e
%IFE% %RT%%DS%\%FI%e %ECO%Expanded %FI%~ to %RT%%DS%\%FI%e >> %tx%
%IFE% %RT%%DS%\%FI%e %ECO%Expanded %FI%~
:s15
SET FI=lgcordls.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s16
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s16
SET FI=lgtchpad.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Copied %FI%l
%IFE% %RT%%DS%\%FI%l goto s17
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %RT%%DS%\%FI%l
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~ to %RT%%DS%\%FI%l >> %tx%
%IFE% %RT%%DS%\%FI%l %ECO%Expanded %FI%~
:s17
goto d1
:d1
SET FI=cmousecc.in
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%i COPY %SRCE%\%FI%i %windir%\%FI%i
%IFE% %SRCE%\WIN95\%FI%i COPY %SRCE%\WIN95\%FI%i %windir%\%FI%i
%IFE% %windir%\System\%FI%i %ECO%Copied %FI%i to %windir%\%FI%i >> %tx%
%IFE% %windir%\System\%FI%i %ECO%Copied %FI%i
%IFE% %windir%\%FI%i goto d2
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\%FI%i
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\%FI%i
%IFE% %windir%\System\%FI%i %ECO%Expanded %FI%i to %windir%\%FI%i >> %tx%
%IFE% %windir%\System\%FI%i %ECO%Expanded %FI%i
:d2
goto w1
:w1
SET FI=comnctr.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%l COPY %SRCE%\WIN95\%FI%l %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l
%IFE% %windir%\System\%FI%l goto w2
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l
:w2
SET FI=lguicom.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%l COPY %SRCE%\WIN95\%FI%l %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l
%IFE% %windir%\System\%FI%l goto w3
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l
:w3
SET FI=lmouse16.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%l COPY %SRCE%\WIN95\%FI%l %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l
%IFE% %windir%\System\%FI%l goto w4
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l
:w4
SET FI=lmouse32.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%l COPY %SRCE%\WIN95\%FI%l %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l
%IFE% %windir%\System\%FI%l goto w5
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l
:w5
SET FI=logilang.dl
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%l COPY %SRCE%\%FI%l %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%l COPY %SRCE%\WIN95\%FI%l %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Copied %FI%l
%IFE% %windir%\System\%FI%l goto w6
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%l
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%l
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l to %windir%\System\%FI%l >> %tx%
%IFE% %windir%\System\%FI%l %ECO%Expanded %FI%l
:w6
SET FI=lmouse.vx
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%d COPY %SRCE%\%FI%d %windir%\System\%FI%d
%IFE% %SRCE%\WIN95\%FI%d COPY %SRCE%\WIN95\%FI%d %windir%\System\%FI%d
%IFE% %windir%\System\%FI%d %ECO%Copied %FI%d to %windir%\System\%FI%d >> %tx%
%IFE% %windir%\System\%FI%d %ECO%Copied %FI%d
%IFE% %windir%\System\lmouse.vxd goto w7
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%d
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%d
%IFE% %windir%\System\%FI%d %ECO%Expanded %FI%d to %windir%\System\%FI%d >> %tx%
%IFE% %windir%\System\%FI%d %ECO%Expanded %FI%d
:w7
SET FI=Lmul.vx
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%d COPY %SRCE%\%FI%d %windir%\System\%FI%d
%IFE% %SRCE%\WIN95\%FI%d COPY %SRCE%\WIN95\%FI%d %windir%\System\%FI%d
%IFE% %windir%\System\%FI%d %ECO%Copied %FI%d to %windir%\System\%FI%d >> %tx%
%IFE% %windir%\System\%FI%d %ECO%Copied %FI%d
%IFE% %windir%\System\lmul.vxd goto w8
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%d
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%d
%IFE% %windir%\System\%FI%d %ECO%Expanded %FI%d to %windir%\System\%FI%d >> %tx%
%IFE% %windir%\System\%FI%d %ECO%Expanded %FI%d
:w8
SET FI=lmouse.dr
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%v COPY %SRCE%\%FI%v %windir%\System\%FI%v
%IFE% %SRCE%\WIN95\%FI%v COPY %SRCE%\WIN95\%FI%v %windir%\System\%FI%v
%IFE% %windir%\System\%FI%v %ECO%Copied %FI%v to %windir%\System\%FI%v >> %tx%
%IFE% %windir%\System\%FI%v %ECO%Copied %FI%v
%IFE% %windir%\System\lmouse.drv goto w9
%IFE% %SRCE%\%FI%~ %RT%%DS%\%lge% %SRCE%\%FI%~ %windir%\System\%FI%v
%IFE% %SRCE%\WIN95\%FI%~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%~ %windir%\System\%FI%v
%IFE% %windir%\System\%FI%v %ECO%Expanded %FI%v to %windir%\System\%FI%v >> %tx%
%IFE% %windir%\System\%FI%v %ECO%Expanded %FI%v
:w9
goto i1
:i1
SET FI=lmous
echo FI=%FI%%LANGID%.inf >> %tx%
%IFE% %SRCE%\%FI%%LANGID%.inf COPY %SRCE%\%FI%%LANGID%.inf %windir%\inf\%FI%e.inf
%IFE% %SRCE%\WIN95\%FI%%LANGID%.inf COPY %SRCE%\WIN95\%FI%%LANGID%.inf %windir%\inf\%FI%e.inf
%IFE% %windir%\inf\%FI%e.inf %ECO%Copied %FI%%LANGID%.inf to %windir%\inf\%FI%e.inf >> %tx%
%IFE% %windir%\inf\%FI%e.inf %ECO%Copied %FI%%LANGID%.inf
%IFE% %windir%\inf\lmouse.inf goto i2
%IFE% %SRCE%\%FI%%LANGID%.in~ %RT%%DS%\%lge% %SRCE%\%FI%%LANGID%.in~ %windir%\inf\%FI%e.inf
%IFE% %SRCE%\WIN95\%FI%%LANGID%.in~ %RT%%DS%\%lge% %SRCE%\WIN95\%FI%%LANGID%.in~ %windir%\inf\%FI%e.inf
%IFE% %windir%\inf\%FI%e.inf %ECO%Expanded %FI%%LANGID%.in~ to %windir%\inf\%FI%e.inf >> %tx%
%IFE% %windir%\inf\%FI%e.inf %ECO%Expanded %FI%%LANGID%.in~
:i2
goto h1
:h1
SET FI=lmous
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%%LANGID%.hlp COPY %SRCE%\%FI%%LANGID%.hlp %windir%\Help\%FI%e.hlp
%IFE% %windir%\Help\%FI%e.hlp %ECO%Copied %FI%%LANGID%.hlp to %windir%\Help\%FI%e.hlp >> %tx%
%IFE% %windir%\Help\%FI%e.hlp %ECO%Copied %FI%%LANGID%.hlp
%IFE% %windir%\Help\%FI%e.hlp goto h2
%IFE% %SRCE%\%FI%%LANGID%.hl~ %RT%%DS%\%lge% %SRCE%\%FI%%LANGID%.hl~ %windir%\Help\%FI%e.hlp
%IFE% %windir%\Help\%FI%e.hlp %ECO%Expanded %FI%%LANGID%.hl~ to %windir%\Help\%FI%e.hlp >> %tx%
%IFE% %windir%\Help\%FI%e.hlp %ECO%Expanded %FI%%LANGID%.hlp
:h2
SET FI=lmous
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%%LANGID%.cnt COPY %SRCE%\%FI%%LANGID%.cnt %windir%\Help\%FI%e.cnt
%IFE% %windir%\Help\%FI%e.cnt %ECO%Copied %FI%%LANGID%.cnt to %windir%\Help\%FI%e.cnt >> %tx%
%IFE% %windir%\Help\%FI%e.cnt %ECO%Copied %FI%%LANGID%.cnt
%IFE% %windir%\Help\%FI%e.cnt goto h3
%IFE% %SRCE%\%FI%%LANGID%.cn~ %RT%%DS%\%lge% %SRCE%\%FI%%LANGID%.cn~ %windir%\Help\%FI%e.cnt
%IFE% %windir%\Help\%FI%e.cnt %ECO%Expanded %FI%%LANGID%.cn~ to %windir%\Help\%FI%e.cnt >> %tx%
%IFE% %windir%\Help\%FI%e.cnt %ECO%Expanded %FI%%LANGID%.cnt
:h3
SET FI=lmou
echo FI=%FI% >> %tx%
%IFE% %SRCE%\%FI%i%LANGID%.cnt COPY %SRCE%\%FI%i%LANGID%.cnt %windir%\Help\%FI%sei.cnt
%IFE% %windir%\Help\%FI%i%LANGID%.cnt %ECO%Copied %FI%i%LANGID%.cnt to %windir%\Help\%FI%sei.cnt >> %tx%
%IFE% %windir%\Help\%FI%i%LANGID%.cnt %ECO%Copied %FI%i%LANGID%.cnt
%IFE% %windir%\Help\%FI%e.cnt goto h4
%IFE% %SRCE%\%FI%i%LANGID%.cn~ %RT%%DS%\%lge% %SRCE%\%FI%i%LANGID%.cn~ %windir%\Help\%FI%sei.cnt
%IFE% %windir%\Help\%FI%i%LANGID%.cn~ %ECO%Expanded %FI%i%LANGID%.cnt to %windir%\Help\%FI%sei.cnt >> %tx%
%IFE% %windir%\Help\%FI%i%LANGID%.cn~ %ECO%Expanded %FI%i%LANGID%.cnt
:h4
if not exist %SRCE%\lgbappst.cu~ goto p1
%ECO%............................ . . . . . . .
%ECO%............................ . . . . . . .
%ECO%Copying .................... . . . . . . .
%ECO%........... Cursor ......... . . . . . . .
%ECO%.................... Files.. . . . . . . .
%ECO%............................ . . . . . . .
%ECO%............................ . . . . . . .
for %%a in (*.cu~) do copy %%a %RT%%DM%\pointers
%ECO%Copied Cursor files from %SRCE% to %RT%%DM%\pointers >> %tx%
%ECO%............................ . . . . . . .
%ECO%............................ . . . . . . .
%ECO%Expanding................... . . . . . . .
%ECO%........... Cursor ......... . . . . . . .
%ECO%.................... Files.. . . . . . . .
%ECO%............................ . . . . . . .
%ECO%............................ . . . . . . .
%RT%
echo %RT%
echo cd %DM%\pointers
cd %DM%\pointers >> %tx%
echo for %%a in (*.cu~) do %RT%%DS%\lgexpand %%a %RT%%DM%\pointers\%%a
echo for %%a in (*.cu~) do %RT%%DS%\lgexpand %%a %RT%%DM%\pointers\%%a >> %tx%
for %%a in (*.cu~) do %RT%%DS%\lgexpand %%a %%a
%ECO%Expanded Cursor files in %RT%%DM%\pointers
%ECO%Expanded Cursor files in %RT%%DM%\pointers >> %tx%
for %%a in (*.cu~) do rename *.cu~ *.cur
%ECO%Renamed Cursor files in %RT%%DM%\pointers >> %tx%
cd\
%SRCE%
:p1
if not exist %SRCE%\t95.bat goto diskin
%RT%%DS%\%LGE% %SRCE%\t95.re~  %RT%t95.reg
%ECO%Expanded t95.reg
%ECO%Expanded t95.reg >> %tx%
%windir%\regedit c:t95.reg
copy lgexpand.exe c:
copy %LGE% %RT%
%ECO%Copied %LGE%
%ECO%Copied %LGE% to %RT% >> %tx%
copy t95.bat %RT%
%ECO%Copied  t95.bat
%ECO%Copied  t95.bat >> %tx%
%RT%t95 diskb
goto diskin
:diskb
if not exist %SRCE%\t95.bat goto diskin
ECHO .
ECHO         ***********************************************
ECHO .........Please, Insert disk #2 of 2 in drive %SOURCE%
ECHO         ***********************************************
ECHO .
pause
%IFE% %SRCE%\t95.bat goto diskb
Goto winok2
:diskin
cd %RT%%DS%
ECHO OFF
%IFE% %RT%\t95.reg %ECO%deleting %RT%\t95.reg >> %tx%
del %RT%\t95.reg
%IFE% %RT%%DS%\%LGE% %ECO%deleting %RT%%DS%\%LGE% >> %tx%
del %RT%%DS%\%LGE%
%IFE% %RT%\%LGE% %ECO%deleting %RT%\%LGE% >> %tx%
del %RT%\%LGE%
cd %RT%
%ECO%cd to %RT% >> %tx%
CLS
echo ***********************************************************
echo * Work-around installation completed.                     *
echo *                                                         *
echo * Refer to the README.TXT file for instructions on how to *
echo * install the mouse driver.                               *
echo *                                                         *
echo * You will need to restart the system to activate the     *
echo * software.  Press Ctrl_Alt-Delete now to restart...      *
echo ***********************************************************
echo ===================================== >> %tx%
echo T95.bat, installation log file end.   >> %tx%
rem date >> %tx%
rem time >> %tx%
echo ===================================== >> %tx%
SET DS=
SET DM=
SET dskb=
SET dskin=
SET ECO=
SET FI=
SET IFE=
SET LANGID=
SET LGE=
SET RT=
SET SOURCE=
SET SRCE=
SET tx=
SET windir=
:exit
